> For the complete documentation index, see [llms.txt](https://developer.eagle.cool/plugin-api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.eagle.cool/plugin-api/zh-cn/api/notification.md).

# notification（通知）

## 方法 <a href="#z1a5y" id="z1a5y"></a>

## show(options) <a href="#tkp0d" id="tkp0d"></a>

显示通知窗口

* `options` Object
  * `title` string - 通知窗口标题
  * `body` string - 通知窗口描述
  * `icon` URL/base64 - 通知窗口图标，支持链接或 base64 格式（可选）
  * `mute` boolean - 提示音效（可选）
  * `duration` Interger - 自动隐藏时间（毫秒）（可选）
* 返回 `Promise<>`

```javascript
await eagle.notification.show({
    title: "Basic Notification",
    body: "Notification from the Plugin process",
    mute: false,
    duration: 3000,
    icon: "https://"
});
```

***


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.eagle.cool/plugin-api/zh-cn/api/notification.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
